M_LuckTurnCFG = {}

function M_LuckTurnCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_LuckTurnCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Item = 26, Count = 1, Weight = 1}
	self.datas[2] = {ID = 2, Item = 1, Count = 30000, Weight = 220}
	self.datas[3] = {ID = 3, Item = 41, Count = 1, Weight = 100}
	self.datas[4] = {ID = 4, Item = 16, Count = 30, Weight = 190}
	self.datas[5] = {ID = 5, Item = 25, Count = 1, Weight = 19}
	self.datas[6] = {ID = 6, Item = 8, Count = 15, Weight = 100}
	self.datas[7] = {ID = 7, Item = 1, Count = 50000, Weight = 80}
	self.datas[8] = {ID = 8, Item = 24, Count = 1, Weight = 40}
	self.datas[9] = {ID = 9, Item = 1, Count = 10000, Weight = 150}
	self.datas[10] = {ID = 10, Item = 5, Count = 15, Weight = 100}
end

M_LuckTurnCFG:init()
